Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo
Class CharIterator

    java.lang.Object
      org.apache.fop.fo.CharIterator

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Iterator

Direct Known Subclasses:
  NullCharIterator, OneCharIterator, RecursiveCharIterator, StringCharIterator

    public abstract class CharIterator

extends java.lang.Object
implements java.util.Iterator, java.lang.Cloneable

Abstract base class for iterators that should iterate through a series of characters. Extends the java.util.Iterator interface with some additional functions useful for FOP's management of text.

Constructor Summary
`CharIterator()`

Method Summary
`java.lang.Object` | `clone()`
`abstract boolean` | `hasNext()`
`java.lang.Object` | `next()`
`abstract char` | `nextChar()`
`void` | `remove()`
`void` | `replaceChar(char c)` Replace the current character managed by the iterator with a specified character?

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharIterator

    public CharIterator()

Method Detail

### hasNext

    public abstract boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### nextChar

    public abstract char nextChar()
                           throws java.util.NoSuchElementException

  Returns:
    the character that is the next character in the collection
  Throws:
    `java.util.NoSuchElementException` - if there are no more characters (test for this condition with java.util.Iterator.hasNext()).

### next

    public java.lang.Object next()
                          throws java.util.NoSuchElementException

  Specified by:
    `next` in interface `java.util.Iterator`
  Throws:
    `java.util.NoSuchElementException`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

### replaceChar

    public void replaceChar(char c)

  Replace the current character managed by the iterator with a specified character?

  Parameters:
    `c` - character

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.